1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
      • Get all company
  • Đơn hàng
    • v1
      • Get by id
        GET
      • Get all order
        GET
      • Get Passengers Order
        GET
      • Create order tour
        POST
      • Create order product
        POST
      • Create order hotel
        POST
      • Create order flight
        POST
      • Confirm payment order
        POST
      • Cancel order
        POST
      • Import Order Flight
        POST
      • Create cost order
        POST
      • Update cost order
        PATCH
      • Delete cost order
        DELETE
      • Transfer operator
        POST
      • Create order multiple services
        POST
      • Add services to order.
        POST
      • Change order status
        POST
      • Add Passengers Order
        POST
      • Update Passenger Order
        PUT
      • Delete Passenger Order
        DELETE
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
      • Get all tour guides
      • Create Supplier & Hotel
      • Create Prices Suppliers products
      • Append Prices Hotel
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
    • Thu hộ/Chi hộ
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  • MCP
    • Hướng dẫn kết nối
  • Schemas
    • ErrorResponse
  1. v1

Add Passengers Order

POST
/orders/{id}/passengers
Thêm một hoặc nhiều hành khách vào đơn hàng.
Tối đa 100 hành khách mỗi request.
Request được xử lý trọn vẹn: một hành khách sai dữ liệu thì không hành khách nào được thêm.
Hành khách đã có trong đơn được giữ nguyên (API chỉ thêm, không ghi đè danh sách).
Định dạng ngày: dd/mm/yyyy. Riêng birthday nhận thêm dạng chỉ năm sinh yyyy.
Xem danh sách hiện có: Get Passengers Order (GET /api/v1/orders/{id}/passengers).
Trong response, identity_issue_at và passport_exp_at trả dạng yyyy-mm-dd hh:mm:ss.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Example
{
    "passengers": [
        {
            "name": "Nguyễn Văn A",
            "phone": "0901234567",
            "gender": "male",
            "birthday": "15/08/1985",
            "passport": "C1234567",
            "passport_exp_at": "31/12/2030",
            "nationality": "Việt Nam",
            "is_leader": 1,
            "relationship_to_customer": "self",
            "room_number": "101"
        },
        {
            "name": "Trần Thị B",
            "gender": "female",
            "birthday": "1990",
            "relationship_to_customer": "spouse",
            "room_number": "101"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/orders/1728/passengers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "passengers": [
        {
            "name": "Nguyễn Văn A",
            "phone": "0901234567",
            "gender": "male",
            "birthday": "15/08/1985",
            "passport": "C1234567",
            "passport_exp_at": "31/12/2030",
            "nationality": "Việt Nam",
            "is_leader": 1,
            "relationship_to_customer": "self",
            "room_number": "101"
        },
        {
            "name": "Trần Thị B",
            "gender": "female",
            "birthday": "1990",
            "relationship_to_customer": "spouse",
            "room_number": "101"
        }
    ]
}'

Responses

🟢201Thành công
application/json
Bodyapplication/json

Example
{
    "success": true,
    "message": "Thêm hành khách thành công",
    "data": [
        {
            "id": 1385,
            "name": "Nguyễn Văn A",
            "email": null,
            "phone": "0901234567",
            "identity_card": null,
            "identity_issue_at": null,
            "birthday": "15/08/1985",
            "gender": "male",
            "gender_name": "Nam",
            "country_id": 0,
            "seat_number": null,
            "room_number": "101",
            "pickup_location": null,
            "note": null,
            "passport": "C1234567",
            "passport_exp_at": "2030-12-31 00:00:00",
            "nationality": "Việt Nam",
            "has_visa": 0,
            "visa_status_name": "Chưa có visa",
            "is_leader": 1,
            "role_name": "Trưởng đoàn",
            "relationship_to_customer": "self",
            "relationship_name": "Bản thân",
            "order_id": 1728
        }
    ]
}
🟠404Không tìm thấy
🟠422Sai dữ liệu
Modified at 2026-11-02 07:15:02
Previous
Change order status
Next
Update Passenger Order
Built with